# HeadingPitchRange

#### new Cesium.HeadingPitchRange(heading, pitch, range)
Core/HeadingPitchRange.js 21

Defines a heading angle, pitch angle, and range in a local frame. Heading is the rotation from the local north direction where a positive angle is increasing eastward. Pitch is the rotation from the local xy-plane. Positive pitch angles are above the plane. Negative pitch angles are below the plane. Range is the distance from the center of the frame.

Name | Type | Default | Description
--- | --- | --- | ---
`heading` | Number | `0.0` | optional The heading angle in radians.
`pitch` | Number | `0.0` | optional The pitch angle in radians.
`range` | Number | `0.0` | optional The distance from the center in meters.

### Members

#### heading : Number
Core/HeadingPitchRange.js 26

Heading is the rotation from the local north direction where a positive angle is increasing eastward.

#### pitch : Number
Core/HeadingPitchRange.js 33

Pitch is the rotation from the local xy-plane. Positive pitch angles are above the plane. Negative pitch angles are below the plane.

#### range : Number
Core/HeadingPitchRange.js 39

Range is the distance from the center of the local frame.

### Methods

#### staticCesium.HeadingPitchRange.clone(hpr, result) → HeadingPitchRange
Core/HeadingPitchRange.js 49

Duplicates a HeadingPitchRange instance.

Name | Type | Description
--- | --- | ---
`hpr` | HeadingPitchRange | The HeadingPitchRange to duplicate.
`result` | HeadingPitchRange | optional The object onto which to store the result.

##### Returns:

The modified result parameter or a new HeadingPitchRange instance if one was not provided. (Returns undefined if hpr is undefined)